[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.CanPrint

True if printing is enabled (or not disabled).

## Declaration

Source position: printers.pas line 341

`public property TPrinter.CanPrint : Boolean read GetCanPrint;`

## Description

CanPrint is a read-only Boolean property which indicates if the print device is enabled and ready to print.

Remark: | In TPrinter, the property value is always True. The read access specifier (GetCanPrint) can be overridden in a descendent class to use the facilities for the operating system / widgetset / printer-related technology in the implementation.

## See also

TPrinter.GetCanPrint |  | Gets the value for the CanPrint property.